# Uses of Interface
com.usatiuk.objects.transaction.TxRecord.TxObjectRecord

Packages that use TxRecord.TxObjectRecord
Package
Description
com.usatiuk.objects.stores
com.usatiuk.objects.transaction

## Uses of TxRecord.TxObjectRecord in com.usatiuk.objects.stores

Method parameters in com.usatiuk.objects.stores with type arguments of type TxRecord.TxObjectRecord
Modifier and Type
Method
Description
`Consumer<Runnable>`
WritebackObjectPersistentStore.`commitTx(Collection<TxRecord.TxObjectRecord<?>> writes)`

## Uses of TxRecord.TxObjectRecord in com.usatiuk.objects.transaction

Classes in com.usatiuk.objects.transaction that implement TxRecord.TxObjectRecord
Modifier and Type
Class
Description
`static final record`
`TxRecord.TxObjectRecordDeleted`
`static final record`
`TxRecord.TxObjectRecordWrite<T extends JData>`